; ############  DIRECTOR AND EVENT CHANGES  ###########
; =====================================================
; ==          DIRECTOR & EVENT MODIFICATION          ==
; ==       Modify director behaviour and events      ==
; =====================================================


; ################  ITEM SPAWN CHANGES  ###############
; =====================================================
; ==                  SAFEROOM ITEMS                 ==
; ==    Saferoom item spawns - ammo piles, weapons   ==
; =====================================================

; =====================================================
; ==           PILL / ITEM / WEAPON SPAWNS           ==
; ==   Remove or change pill, item & weapon spawns   ==
; =====================================================
; --- Make the pistol spawn before the bridge room a multiple pickup spawn (like in L4D1)
modify:
{
	match:
	{
		"hammerid" "1779821"
	}
	replace:
	{
		"count" "5"
	}
}
; --- Make the guns before the bridge room always spawn and ensure both T1 guns always spawn
modify:
{
	match:
	{
		"hammerid" "1814261"
	}
	replace:
	{
		"spawn_without_director" "1"
		"spawnflags" "18"
	}
}
; --- Remove pill spawns by the end saferoom
filter:
{
	"hammerid" "1787830"
}
{
	"hammerid" "1814310"
}
{
	"hammerid" "1787826"
}
{
	"hammerid" "1814273"
}
{
	"hammerid" "1787790"
}
{
	"hammerid" "1787818"
}

; =====================================================
; ==                STATIC AMMO PILES                ==
; ==          Add or modify ammo pile spawns         ==
; =====================================================
; --- Make ammo pile in room after the event always spawn
modify:
{
	match:
	{
		"hammerid" "1422938"
	}
	insert:
	{
		"spawnflags" "2"
	}
}

; =====================================================
; ==                 HITTABLE CHANGES                ==
; ==           Add/remove/modify hittables           ==
; =====================================================


; #############  MAP CLIPPING AND ISSUES  #############
; =====================================================
; ==                 EXPLOITS BLOCKED                ==
; ==      Block intentionally performed exploits     ==
; =====================================================
add:
; --- Block standing on the pipe under the walkway after the bridge
{
	"classname" "env_physics_blocker"
	"origin" "-7988 -7920 -376"
	"mins" "-19 -160 -48"
	"maxs" "19 160 48"
	"initialstate" "1"
	"BlockType" "1"
}

; =====================================================
; ==                  OUT OF BOUNDS                  ==
; ==  Block players getting outside / under the map  ==
; =====================================================

; =====================================================
; ==                   STUCK SPOTS                   ==
; ==  Prevent players from getting stuck in the map  ==
; =====================================================
add:
; --- Prevent stuck spots under lights in the sewer saferoom
{
	"classname" "env_physics_blocker"
	"origin" "-11407 -8915 -399"
	"mins" "-1 -4 -63"
	"maxs" "1 4 63"
	"initialstate" "1"
	"BlockType" "0"
}
{
	"classname" "env_physics_blocker"
	"origin" "-11001 -8916.5 -383"
	"mins" "-1 -2.5 -79"
	"maxs" "1 2.5 79"
	"initialstate" "1"
	"BlockType" "0"
}

; =====================================================
; ==                 NUISANCE CHANGES                ==
; ==      Clipping improvements, QOL map changes     ==
; =====================================================
add:
; --- Pipe to cover up clip on a pipe in the catwalk area
{
	"classname" "prop_dynamic"
	"origin" "-9863 -7063 -264"
	"angles" "-90 180 0"
	"model" "models/props_pipes/pipeset08d_512_001a.mdl"
	"solid" "6"
	"disableshadows" "1"
}
; --- Clipping on stairs before the bridge room
{
	"classname" "env_physics_blocker"
	"origin" "-9859 -7082 -852"
	"mins" "-9 -22 -4"
	"maxs" "9 22 4"
	"initialstate" "1"
	"BlockType" "0"
}
{
	"classname" "env_physics_blocker"
	"origin" "-9861 -7082 -844"
	"mins" "-7 -20 -4"
	"maxs" "7 20 4"
	"initialstate" "1"
	"BlockType" "0"
}
{
	"classname" "env_physics_blocker"
	"origin" "-9865 -7076 -836"
	"mins" "-7 -14 -4"
	"maxs" "7 14 4"
	"initialstate" "1"
	"BlockType" "0"
}
{
	"classname" "env_physics_blocker"
	"origin" "-9869 -7071 -828"
	"mins" "-7 -9 -4"
	"maxs" "7 9 4"
	"initialstate" "1"
	"BlockType" "0"
}
{
	"classname" "env_physics_blocker"
	"origin" "-9873 -7069 -820"
	"mins" "-7 -7 -4"
	"maxs" "7 7 4"
	"initialstate" "1"
	"BlockType" "0"
}
; --- Remove the blinding light sprite above the saferoom door
filter:
{
	"hammerid" "857162"
}
; --- Remove fallen oil barrel in tunnel after the event
{
	"hammerid" "988448"
}


; ###########  ADDITIONAL PROPS AND SPAWNS  ###########
; =====================================================
; ==                      PROPS                      ==
; ==       New props for balance and SI spawns       ==
; =====================================================

; =====================================================
; ==                   LADDER NERF                   ==
; ==         Nerf ladder attacks for infected        ==
; =====================================================

; =====================================================
; ==             GFX / PARTICLES REMOVAL             ==
; ==        Remove visual effects from the map       ==
; =====================================================


; ###############  TRIGGERS AND BRUSHES  ##############
; =====================================================
; ==                   CLIP REMOVAL                  ==
; ==      Remove miscellaneous clips and brushes     ==
; =====================================================
; --- Remove TLS clips after loading
add:
{
	"classname" "logic_auto"
	; --- Clips on the surf pipes in the tunnel
	"OnMapSpawn" "anv_mapfixes_smoother_pipes1,Kill,,15,-1"
	"OnMapSpawn" "anv_mapfixes_smoother_pipes2,Kill,,15,-1"
	"OnMapSpawn" "anv_mapfixes_smoother_pipes3,Kill,,15,-1"
}
; --- Prevent infected clips on the bridge from being removed
{
	"classname" "func_playerinfected_clip"
	"parentname" "platform_01"
	"model" "*113"
	"spawnflags" "2"
	"Solidity" "2"
}
{
	"classname" "func_playerinfected_clip"
	"parentname" "platform_02"
	"model" "*114"
	"spawnflags" "2"
	"Solidity" "2"
}

; =====================================================
; ==              TRIGGER REMOVAL / FIX              ==
; ==    Fix triggers that interfere with gameplay    ==
; =====================================================


; #############  LADDER CHANGES AND FIXES  ############
; =====================================================
; ==             LADDER ADDITIONS / FIXES            ==
; ==              Add or change ladders              ==
; =====================================================
add:
; --- Infected ladders to climb up some of the smaller pipes leading to the catwalk
{
	"classname" "func_simpleladder"
	"origin" "2234.04 -9043.14 -251"
	"angles" "0 -45 0"
	"model" "*106"
	"normal.x" "-0.86"
	"normal.y" "-0.49"
	"normal.z" "0.00"
	"team" "2"
}
{
	"classname" "func_simpleladder"
	"origin" "1765.24 -9847.67 -114"
	"angles" "0 305 0"
	"model" "*121"
	"normal.x" "-0.81"
	"normal.y" "-0.57"
	"normal.z" "0.00"
	"team" "2"
}
{
	"classname" "func_simpleladder"
	"origin" "2317.71 -5915.92 -190"
	"angles" "0 -30 0"
	"model" "*105"
	"normal.x" "0.00"
	"normal.y" "1.00"
	"normal.z" "0.00"
	"team" "2"
}
; --- Infected ladder to climb up to the walkway at the end of the event
{
	"classname" "func_simpleladder"
	"origin" "-1215 -13942.5 -507.5"
	"angles" "0 270 0"
	"model" "*118"
	"normal.x" "0.00"
	"normal.y" "-1.00"
	"normal.z" "0.00"
	"team" "2"
}
{
	"classname" "prop_dynamic"
	"origin" "-8158 -7762 -320"
	"angles" "90 180 0"
	"model" "models/props_pipes/pipeset02d_512_001a.mdl"
	"solid" "0"
	"disableshadows" "1"
}
; --- Infected ladders to climb up the trains by the end saferoom
{
	"classname" "func_simpleladder"
	"origin" "-14188.5 2683 -54.25"
	"angles" "0 90 0"
	"model" "*7"
	"normal.x" "-1.00"
	"normal.y" "0.00"
	"normal.z" "0.00"
	"team" "2"
}
{
	"classname" "func_simpleladder"
	"origin" "-16197 -11593.5 -55.25"
	"angles" "0 180 0"
	"model" "*7"
	"normal.x" "0.00"
	"normal.y" "-1.00"
	"normal.z" "0.00"
	"team" "2"
}
; --- Additional infected ladder to climb into the windows by the end saferoom
{
	"classname" "func_simpleladder"
	"origin" "496 0 0"
	"angles" "0 0 0"
	"model" "*7"
	"normal.x" "0.00"
	"normal.y" "1.00"
	"normal.z" "0.00"
	"team" "2"
}
{
	"classname" "prop_dynamic"
	"origin" "-7950 -6000 -48"
	"angles" "0 180 0"
	"model" "models/props_rooftop/gutter_pipe_256.mdl"
	"solid" "0"
	"disableshadows" "1"
}
; --- Fix getting knocked off infected ladder on cliff by the end saferoom
modify:
{
	match:
	{
		"hammerid" "1570679"
	}
	insert:
	{
		"origin" "-5 0 0"
	}
}


; #######  MISCELLANEOUS / MAP SPECIFIC CHANGES  ######
; =====================================================
; ==                   BLANK HEADER                  ==
; ==                Blank description                ==
; =====================================================

{
	"classname" "weapon_spawn"
	"origin" "-9835 -7259 -737"
	"angles" "0 -90 -90"
	"weapon_selection" "weapon_shotgun_chrome"
	"spawn_without_director" "1"
	"solid" "6"
	"disableshadows" "1"
	"spawnflags" "2"
	"count" "5"
}
{
	"classname" "weapon_spawn"
	"origin" "-9835 -7312 -735"
	"angles" "0 -90 -90"
	"weapon_selection" "weapon_smg_silenced"
	"spawn_without_director" "1"
	"solid" "6"
	"disableshadows" "1"
	"spawnflags" "2"
	"count" "5"
}